Bug 1121850 - [RFE][cinder]: NFS based Cinder driver to support Symantec Storage Foundation Cluster File System High Availability
Summary: [RFE][cinder]: NFS based Cinder driver to support Symantec Storage Foundation...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: Upstream M1
: 7.0 (Kilo)
Assignee: Eric Harney
QA Contact: nlevinki
URL: https://blueprints.launchpad.net/cind...
Whiteboard: upstream_milestone_kilo-1 upstream_de...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 04:11 UTC by RHOS Integration
Modified: 2016-04-27 03:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-18 14:49:42 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-07-22 04:11:44 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/cinder/+spec/symantec-nfs-cinder-driver.

Description:

This blueprints adds a new Cinder driver to support Symantec Storage Foundation Cluster File System High Availability. This driver is based on a generic NFS driver and it implements all the minimum features for the Juno release.

Brief overview of Symantec Storage Foundation Cluster File System High Availability:
-------------------------------------------------------------------------------------------------------------------

Symantec Storage Foundation Cluster File System allows multiple servers to mount and use a single file system simultaneously. It provides a highly available environment, delivering fast recovery for business-critical applications with reduced complexity and costs. Compared to traditional single-instance file system implementations, Cluster File System (CFS) significantly reduces application downtime and improves data access. Because multiple servers share the same storage resources, the length of time it takes to bring storage online is drastically reduced when an application fails.

Brief overview of Symantec Clustered NFS:
----------------------------------------------------------

Symantec Clustered NFS is a solution that delivers active-active NFS file serving over an underlying Cluster File System. It allows the same file system mounted across multiple nodes using CFS to be shared over NFS from any combination of those nodes without any loss of functionality during fail over.

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.